Bug 1690676 (CVE-2019-9791)

Summary: CVE-2019-9791 Mozilla: Type inference is incorrect for constructors entered through on-stack replacement with IonMonkey
Product: [Other] Security Response Reporter: Doran Moppert <dmoppert>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: urgent Docs Contact:
Priority: urgent    
Version: unspecifiedCC: cschalle, gecko-bugs-nobody, jhorak, stransky
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2019-06-10 10:51:20 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Bug Depends On: 1688866, 1688867, 1688868, 1690494, 1690495, 1690496, 1690692, 1703888, 1703893, 1703894    
Bug Blocks: 1688735, 1690493    

Description Doran Moppert 2019-03-20 02:14:21 UTC
The type inference system allows the compilation of functions that can cause type confusions between arbitrary objects when compiled through the IonMonkey just-in-time (JIT) compiler and when the constructor function is entered through on-stack replacement (OSR). This allows for possible arbitrary reading and writing of objects during an exploitable crash.



External Reference:

https://www.mozilla.org/en-US/security/advisories/mfsa2019-08/#CVE-2019-9791

Comment 1 Doran Moppert 2019-03-20 02:14:24 UTC
Acknowledgments:

Name: the Mozilla project
Upstream: Samuel GroƟ (Google Project Zero)

Comment 3 errata-xmlrpc 2019-03-20 15:11:56 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2019:0622 https://access.redhat.com/errata/RHSA-2019:0622

Comment 4 errata-xmlrpc 2019-03-20 15:21:48 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2019:0623 https://access.redhat.com/errata/RHSA-2019:0623

Comment 5 Doran Moppert 2019-03-26 06:23:37 UTC
Statement:

In general, this flaw be exploited through email in the Thunderbird product because scripting is disabled when reading mail, but are potentially risks in browser or browser-like contexts.

Comment 6 errata-xmlrpc 2019-03-28 14:48:16 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2019:0680 https://access.redhat.com/errata/RHSA-2019:0680

Comment 7 errata-xmlrpc 2019-03-28 14:49:39 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2019:0681 https://access.redhat.com/errata/RHSA-2019:0681

Comment 9 errata-xmlrpc 2019-05-07 04:18:01 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2019:0966 https://access.redhat.com/errata/RHSA-2019:0966

Comment 10 errata-xmlrpc 2019-05-13 05:03:25 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2019:1144 https://access.redhat.com/errata/RHSA-2019:1144